local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");

-- Setup Chat
function GNUI:SetupChat()
	ToggleChatColorNamesByClassGroup(true, "SAY")
	ToggleChatColorNamesByClassGroup(true, "EMOTE")
	ToggleChatColorNamesByClassGroup(true, "YELL")
	ToggleChatColorNamesByClassGroup(true, "GUILD")
	ToggleChatColorNamesByClassGroup(true, "OFFICER")
	ToggleChatColorNamesByClassGroup(true, "GUILD_ACHIEVEMENT")
	ToggleChatColorNamesByClassGroup(true, "ACHIEVEMENT")
	ToggleChatColorNamesByClassGroup(true, "WHISPER")
	ToggleChatColorNamesByClassGroup(true, "PARTY")
	ToggleChatColorNamesByClassGroup(true, "PARTY_LEADER")
	ToggleChatColorNamesByClassGroup(true, "RAID")
	ToggleChatColorNamesByClassGroup(true, "RAID_LEADER")
	ToggleChatColorNamesByClassGroup(true, "RAID_WARNING")
	ToggleChatColorNamesByClassGroup(true, "BATTLEGROUND")
	ToggleChatColorNamesByClassGroup(true, "BATTLEGROUND_LEADER")
	ToggleChatColorNamesByClassGroup(true, "INSTANCE_CHAT")
	ToggleChatColorNamesByClassGroup(true, "INSTANCE_CHAT_LEADER")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL1")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL2")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL3")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL4")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL5")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL6")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL7")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL8")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL9")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL10")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL11")
	FCF_ResetChatWindows()
	FCF_SetLocked(ChatFrame1, 1)
	FCF_DockFrame(ChatFrame1)
	FCF_SetLocked(ChatFrame2, 1)
	for i = 1, NUM_CHAT_WINDOWS do
		local frame = _G[format("ChatFrame%s", i)]
		FCF_SavePositionAndDimensions(frame)
		FCF_StopDragging(frame)
		-- set default Elvui font size
		FCF_SetChatWindowFontSize(nil, frame, 12)
	end
	E:Print(L["Chat has been set"])
	PluginInstallStepComplete.message = "Chat has been set"
	PluginInstallStepComplete:Show()
end

-- Class Color Theme
-- E.ClassColor = E.myclass == "PRIEST" and E.PriestColors or (CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[E.myclass] or RAID_CLASS_COLORS[E.myclass])
local colorTable = class == 'PRIEST' and E.PriestColors or (_G.CUSTOM_CLASS_COLORS and _G.CUSTOM_CLASS_COLORS[class] or _G.RAID_CLASS_COLORS[class])
local classColor = RAID_CLASS_COLORS[E.myclass]

-- Layout Settings
function GNUI:SetupLayout(layout)

-- DataBars		
E.db["databars"]["reputation"]["orientation"] = "HORIZONTAL"
E.db["databars"]["reputation"]["height"] = 8
E.db["databars"]["reputation"]["enable"] = true
E.db["databars"]["reputation"]["mouseover"] = true
E.db["databars"]["reputation"]["width"] = 150
E.db["databars"]["experience"]["hideAtMaxLevel"] = false
E.db["databars"]["experience"]["orientation"] = "HORIZONTAL"
E.db["databars"]["experience"]["height"] = 8
E.db["databars"]["experience"]["mouseover"] = true
E.db["databars"]["experience"]["width"] = 150

-- Movers
E.db["movers"] = E.db["movers"] or {}
E.db["movers"]["DurabilityFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,62,-253"
E.db["movers"]["QuestTimerFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-175,-200"
E.db["movers"]["RaidMarkerBarAnchor"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,290"
E.db["movers"]["PetAB"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-40,-405"
E.db["movers"]["ElvUF_RaidMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,832,271"
E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,4,4"
E.db["movers"]["BossButton"] = "TOP,ElvUIParent,TOP,0,-398"
E.db["movers"]["LootFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-548,-424"
E.db["movers"]["ZoneAbility"] = "TOP,ElvUIParent,TOP,0,-398"
E.db["movers"]["SocialMenuMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,4,205"
E.db["movers"]["ElvUF_RaidpetMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,736"
E.db["movers"]["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-300,320"
E.db["movers"]["MicrobarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,235"
E.db["movers"]["VehicleSeatMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,496,-20"
E.db["movers"]["ExperienceBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-195"
E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,310,280"
E.db["movers"]["LossControlMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,461"
E.db["movers"]["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,832,268"
E.db["movers"]["BelowMinimapContainerMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-200,-190"
E.db["movers"]["TalkingHeadFrameMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,8,185"
E.db["movers"]["AltPowerBarMover"] = "TOP,ElvUIParent,TOP,0,-212"
E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,391"
E.db["movers"]["ReputationBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-186"
E.db["movers"]["LevelUpBossBannerMover"] = "TOP,ElvUIParent,TOP,0,-238"
E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,4"
E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,554,232"
E.db["movers"]["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,411,4"
E.db["movers"]["BNETMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,7,185"
E.db["movers"]["ShiftAB"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,1720,289"
E.db["movers"]["BossHeaderMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-267,330"
E.db["movers"]["HonorBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-204"
E.db["movers"]["ArenaHeaderMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-267,330"
E.db["movers"]["TooltipMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,319"
E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,290,4"
E.db["movers"]["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,-290,4"
E.db["movers"]["ElvAB_6"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-109"
E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-310,280"
E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,411"
E.db["movers"]["ElvUF_PartyMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,370,360"
E.db["movers"]["AlertFrameMover"] = "TOP,ElvUIParent,TOP,0,-267"
E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-554,232"
E.db["movers"]["AzeriteBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-177"
E.db["movers"]["VOICECHAT"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-4"
E.db["movers"]["ElvUF_TankMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,1017"
E.db["movers"]["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,956"
E.db["movers"]["TargetPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,310,274"
E.db["movers"]["PlayerPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-310,274"
E.db["movers"]["TaxiButtonMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-118,-120"

-- Tooltip
E.db["tooltip"]["font"] = "Gilroy Bold"
E.db["tooltip"]["itemCount"] = "BOTH"
E.db["tooltip"]["cursorAnchor"] = true
E.db["tooltip"]["fontSize"] = 12
E.db["tooltip"]["healthBar"]["statusPosition"] = "TOP"
E.db["tooltip"]["healthBar"]["font"] = "Gilroy Bold"
E.db["tooltip"]["healthBar"]["fontSize"] = 12
E.db["tooltip"]["healthBar"]["height"] = 3
E.db["tooltip"]["showMount"] = false

-- Bags
E.db["bags"]["countFontSize"] = 12
E.db["bags"]["itemLevelFont"] = "Gilroy Bold"
E.db["bags"]["itemLevelFontSize"] = 12
E.db["bags"]["junkIcon"] = true
E.db["bags"]["countFont"] = "Gilroy Bold"
E.db["bags"]["itemLevel"] = false
E.db["bags"]["clearSearchOnClose"] = true
E.db["bags"]["bagSize"] = 24
E.db["bags"]["countFontOutline"] = "OUTLINE"
E.db["bags"]["bankSize"] = 24
E.db["bags"]["moneyFormat"] = "BLIZZARD"
E.db["bags"]["bagBar"]["size"] = 32
E.db["bags"]["junkDesaturate"] = true
E.db["bags"]["cooldown"]["fonts"]["enable"] = true
E.db["bags"]["cooldown"]["fonts"]["fontSize"] = 20
E.db["bags"]["cooldown"]["fonts"]["font"] = "Gilroy Bold"
E.db["bags"]["vendorGrays"]["enable"] = true

-- Chat
E.db["chat"]["socialQueueMessages"] = true
E.db["chat"]["fontSize"] = 12
E.db["chat"]["emotionIcons"] = false
E.db["chat"]["tabFont"] = "Gilroy Bold"
E.db["chat"]["keywords"] = "ElvUI, %MYNAME%"
E.db["chat"]["panelWidth"] = 406
E.db["chat"]["copyChatLines"] = true
E.db["chat"]["panelColorConverted"] = true
E.db["chat"]["font"] = "Gilroy Bold"
E.db["chat"]["fontOutline"] = "OUTLINE"
E.db["chat"]["tabFontOutline"] = "OUTLINE"
E.db["chat"]["chatHistory"] = false
E.db["chat"]["tapFontSize"] = 12
E.db["chat"]["panelBackdrop"] = "HIDEBOTH"
E.db["chat"]["hideVoiceButtons"] = true
E.db["chat"]["pinVoiceButtons"] = true

-- Auras
E.db["auras"]["debuffs"]["horizontalSpacing"] = 2
E.db["auras"]["debuffs"]["countFontSize"] = 12
E.db["auras"]["debuffs"]["durationFontSize"] = 12
E.db["auras"]["debuffs"]["size"] = 28
--E.db["auras"]["cooldown"]["fonts"]["enable"] = true
--E.db["auras"]["cooldown"]["fonts"]["font"] = "Gilroy Bold"
--E.db["auras"]["cooldown"]["fonts"]["fontSize"] = 12
E.db["auras"]["fontOutline"] = "OUTLINE"
E.db["auras"]["buffs"]["horizontalSpacing"] = 2
E.db["auras"]["buffs"]["countFontSize"] = 12
E.db["auras"]["buffs"]["durationFontSize"] = 12
E.db["auras"]["buffs"]["size"] = 28
E.db["auras"]["countYOffset"] = 15
E.db["auras"]["timeYOffset"] = 6
E.db["auras"]["font"] = "Gilroy Bold"

-- Unitframes
---> Colors & Stuff
E.db["unitframe"]["colors"]["healthclass"] = true
E.db["unitframe"]["colors"]["powerclass"] = false
E.db["unitframe"]["colors"]["classbackdrop"] = false
E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
E.db["unitframe"]["colors"]["healthMultiplier"] = 1
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["b"] = classColor.b
E.db["unitframe"]["colors"]["transparentAurabars"] = true
E.db["unitframe"]["colors"]["power"]["MANA"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["MANA"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["MANA"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["b"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["g"] = 70 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["r"] = 70 / 255
E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["enable"] = false
E.db["unitframe"]["colors"]["auraBarDebuff"]["b"] = 79 / 255
E.db["unitframe"]["colors"]["auraBarDebuff"]["g"] = 79 / 255
E.db["unitframe"]["colors"]["auraBarDebuff"]["r"] = 79 / 255
E.db["unitframe"]["colors"]["health"]["b"] = 30 / 255
E.db["unitframe"]["colors"]["health"]["g"] = 30 / 255
E.db["unitframe"]["colors"]["health"]["r"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 30 / 255
E.db["unitframe"]["statusbar"] = "GennUI Skullflower"
E.db["unitframe"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["smoothbars"] = true
E.db["unitframe"]["font"] = "Gilroy Bold"
E.db["unitframe"]["cooldown"]["fonts"]["enable"] = true
E.db["unitframe"]["cooldown"]["fonts"]["font"] = "Gilroy Bold"
E.db["unitframe"]["cooldown"]["fonts"]["fontSize"] = 18

---> Custom Texts
E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"] = {}	
E.db["unitframe"]["units"]["party"]["customTexts"] = E.db["unitframe"]["units"]["party"]["customTexts"] or {}
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"] = {}

---> Player
E.db["unitframe"]["units"]["player"]["debuffs"]["enable"] = false
E.db["unitframe"]["units"]["player"]["CombatIcon"]["enable"] = false
E.db["unitframe"]["units"]["player"]["aurabar"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["player"]["aurabar"]["enable"] = false
E.db["unitframe"]["units"]["player"]["aurabar"]["yOffset"] = 8
E.db["unitframe"]["units"]["player"]["RestIcon"]["size"] = 20
E.db["unitframe"]["units"]["player"]["RestIcon"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["RestIcon"]["enable"] = false
E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = 0
E.db["unitframe"]["units"]["player"]["classbar"]["detachFromFrame"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["strataAndLevel"]["useCustomStrata"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["strataAndLevel"]["frameLevel"] = 2
E.db["unitframe"]["units"]["player"]["classbar"]["strataAndLevel"]["frameStrata"] = "MEDIUM"
E.db["unitframe"]["units"]["player"]["classbar"]["spacing"] = 1
E.db["unitframe"]["units"]["player"]["classbar"]["detachedWidth"] = 80
E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["player"]["classbar"]["autoHide"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["additionalPowerText"] = false
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["text_format"] = "[name:long]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["yOffset"] = -6
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["size"] = 22
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["text_format"] = "[power:current]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["yOffset"] = -20
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["xOffset"] = -10
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["size"] = 14
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["text_format"] = "[health:current]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["yOffset"] = 22
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["size"] = 20
E.db["unitframe"]["units"]["player"]["width"] = 220
E.db["unitframe"]["units"]["player"]["power"]["detachFromFrame"] = true
E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["power"]["height"] = 6
E.db["unitframe"]["units"]["player"]["power"]["detachedWidth"] = 200
E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["castbar"]["iconXOffset"] = -2
E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 220
E.db["unitframe"]["units"]["player"]["castbar"]["iconSize"] = 28
E.db["unitframe"]["units"]["player"]["castbar"]["iconAttachedTo"] = "Castbar"
E.db["unitframe"]["units"]["player"]["castbar"]["iconAttached"] = false
E.db["unitframe"]["units"]["player"]["height"] = 45
E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = -6
E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""

---> Target
E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = -6
E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["debuffs"]["sizeOverride"] = 45
E.db["unitframe"]["units"]["target"]["debuffs"]["xOffset"] = 1
E.db["unitframe"]["units"]["target"]["debuffs"]["priority"] = "CCDebuffs,Personal,RaidDebuffs,nonPersonal"
E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["target"]["debuffs"]["perrow"] = 1
E.db["unitframe"]["units"]["target"]["power"]["detachFromFrame"] = true
E.db["unitframe"]["units"]["target"]["power"]["detachedWidth"] = 200
E.db["unitframe"]["units"]["target"]["power"]["height"] = 6
E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["text_format"] = "[classification] Level [level] [namecolor][smartclass]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["yOffset"] = -34
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["size"] = 10
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["text_format"] = "[name:abbrev:medium]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["yOffset"] = -8
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["size"] = 22
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["text_format"] = "[power:current]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["yOffset"] = -20
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["xOffset"] = 10
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["size"] = 14
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["text_format"] = "[health:current]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["yOffset"] = 22
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["xOffset"] = 4
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["size"] = 20
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["text_format"] = "[health:percent]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["yOffset"] = 8
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["xOffset"] = 5
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["size"] = 10
E.db["unitframe"]["units"]["target"]["width"] = 220
E.db["unitframe"]["units"]["target"]["castbar"]["iconXOffset"] = 2
E.db["unitframe"]["units"]["target"]["castbar"]["iconSize"] = 28
E.db["unitframe"]["units"]["target"]["castbar"]["iconAttachedTo"] = "Castbar"
E.db["unitframe"]["units"]["target"]["castbar"]["iconPosition"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["castbar"]["iconAttached"] = false
E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 220
E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["height"] = 45
E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 0
E.db["unitframe"]["units"]["target"]["buffs"]["yOffset"] = 8
E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Personal,PlayerBuffs,Whitelist,nonPersonal"
E.db["unitframe"]["units"]["target"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["target"]["aurabar"]["attachTo"] = "BUFFS"
E.db["unitframe"]["units"]["target"]["aurabar"]["priority"] = "Personal,PlayerBuffs,RaidDebuffs,nonPersonal"
E.db["unitframe"]["units"]["target"]["aurabar"]["maxBars"] = 5

---> Pet
E.db["unitframe"]["units"]["pet"]["castbar"]["enable"] = false
E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 80
E.db["unitframe"]["units"]["pet"]["width"] = 80
E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = "[name:short]"
E.db["unitframe"]["units"]["pet"]["height"] = 25
E.db["unitframe"]["units"]["pet"]["power"]["enable"] = false

---> Target's Target
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["sizeOverride"] = 0
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["perrow"] = 4
E.db["unitframe"]["units"]["targettarget"]["power"]["enable"] = false
E.db["unitframe"]["units"]["targettarget"]["width"] = 80
E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = "[name:short]"
E.db["unitframe"]["units"]["targettarget"]["height"] = 25
E.db["unitframe"]["units"]["targettarget"]["buffs"]["sizeOverride"] = 22
E.db["unitframe"]["units"]["targettarget"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = -3

---> Party
E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 35
E.db["unitframe"]["units"]["party"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["party"]["debuffs"]["xOffset"] = 2
E.db["unitframe"]["units"]["party"]["debuffs"]["priority"] = "CCDebuffs,Dispellable,RaidDebuffs"
E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 1
E.db["unitframe"]["units"]["party"]["showPlayer"] = true
E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["rdebuffs"]["enable"] = false
E.db["unitframe"]["units"]["party"]["rdebuffs"]["yOffset"] = 6
E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["position"] = "TOPRIGHT"
E.db["unitframe"]["units"]["party"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["party"]["roleIcon"]["size"] = 12
E.db["unitframe"]["units"]["party"]["roleIcon"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["party"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["party"]["castbar"]["width"] = 160
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["enable"] = true
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["text_format"] = "[health:current]"
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["yOffset"] = 18
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["customTexts"]["gHealth"]["size"] = 14
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["yOffset"] = -4
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["size"] = 18
E.db["unitframe"]["units"]["party"]["power"]["height"] = 5
E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["party"]["width"] = 145
E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["buffs"]["sizeOverride"] = 35
E.db["unitframe"]["units"]["party"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["party"]["buffs"]["enable"] = true
E.db["unitframe"]["units"]["party"]["buffs"]["xOffset"] = -2
E.db["unitframe"]["units"]["party"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["party"]["height"] = 35
E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 6
E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = -4

---> Raid
E.db["unitframe"]["units"]["raid"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 22
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["yOffset"] = 6
E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["roleIcon"]["size"] = 12
E.db["unitframe"]["units"]["raid"]["roleIcon"]["position"] = "TOPRIGHT"
E.db["unitframe"]["units"]["raid"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["raid"]["power"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["width"] = 55
E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = "[name:short]"
E.db["unitframe"]["units"]["raid"]["height"] = 35
E.db["unitframe"]["units"]["raid"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["raid"]["raidicon"]["yOffset"] = -4

---> Raid 40
E.db["unitframe"]["units"]["raid40"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["raid40"]["portrait"]["camDistanceScale"] = 2
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 18
E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["size"] = 12
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["position"] = "TOPRIGHT"
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["xOffset"] = 1
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["enable"] = true
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["yOffset"] = -1
E.db["unitframe"]["units"]["raid40"]["width"] = 55
E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[name:veryshort]"
E.db["unitframe"]["units"]["raid40"]["height"] = 20
E.db["unitframe"]["units"]["raid40"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["raid40"]["raidicon"]["yOffset"] = -4

---> Tank
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["size"] = 22
E.db["unitframe"]["units"]["tank"]["buffIndicator"]["enable"] = false
E.db["unitframe"]["units"]["tank"]["width"] = 100
E.db["unitframe"]["units"]["tank"]["height"] = 25
E.db["unitframe"]["units"]["tank"]["targetsGroup"]["height"] = 25
E.db["unitframe"]["units"]["tank"]["targetsGroup"]["width"] = 100

---> Assist
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["font"] = "Gilroy Bold"
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["size"] = 22
E.db["unitframe"]["units"]["assist"]["buffIndicator"]["enable"] = false
E.db["unitframe"]["units"]["assist"]["width"] = 100
E.db["unitframe"]["units"]["assist"]["height"] = 25
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["height"] = 25
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["width"] = 100

-- DataTexts
E.db["datatexts"]["fontSize"] = 12
E.db["datatexts"]["panels"]["LeftChatDataPanel"]["right"] = "Coords"
E.db["datatexts"]["panels"]["LeftChatDataPanel"]["left"] = "Avoidance"
E.db["datatexts"]["panels"]["RightMiniPanel"] = "Friends"
E.db["datatexts"]["panels"]["LeftMiniPanel"] = "Guild"
E.db["datatexts"]["font"] = "Gilroy Bold"
E.db["datatexts"]["fontOutline"] = "OUTLINE"
E.db["datatexts"]["battleground"] = false
E.db["datatexts"]["localtime"] = false
E.db["datatexts"]["panelTransparency"] = true
E.db["datatexts"]["panelBackdrop"] = false

-- ActionBars
E.db["actionbar"]["bar3"]["buttons"] = 12
E.db["actionbar"]["bar3"]["buttonspacing"] = 1
E.db["actionbar"]["bar3"]["backdropSpacing"] = 0
E.db["actionbar"]["bar3"]["buttonsize"] = 28
E.db["actionbar"]["bar3"]["backdrop"] = false
E.db["actionbar"]["bar3"]["mouseover"] = false
E.db["actionbar"]["macrotext"] = true
E.db["actionbar"]["fontSize"] = 12
E.db["actionbar"]["bar2"]["enabled"] = true
E.db["actionbar"]["bar2"]["buttonspacing"] = 1
E.db["actionbar"]["bar2"]["backdropSpacing"] = 0
E.db["actionbar"]["bar2"]["buttonsize"] = 32
E.db["actionbar"]["bar2"]["backdrop"] = false
E.db["actionbar"]["bar1"]["buttonspacing"] = 1
E.db["actionbar"]["bar1"]["backdropSpacing"] = 0
E.db["actionbar"]["bar1"]["buttonsize"] = 32
E.db["actionbar"]["bar1"]["backdrop"] = false
E.db["actionbar"]["bar5"]["buttons"] = 12
E.db["actionbar"]["bar5"]["buttonspacing"] = 1
E.db["actionbar"]["bar5"]["backdropSpacing"] = 0
E.db["actionbar"]["bar5"]["buttonsize"] = 28
E.db["actionbar"]["bar5"]["backdrop"] = false
E.db["actionbar"]["bar5"]["mouseover"] = false
E.db["actionbar"]["bar6"]["buttonspacing"] = 1
E.db["actionbar"]["bar6"]["backdropSpacing"] = 0
E.db["actionbar"]["bar6"]["buttonsize"] = 28
E.db["actionbar"]["bar6"]["backdrop"] = false
E.db["actionbar"]["useRangeColorText"] = true
E.db["actionbar"]["font"] = "Gilroy Bold"
E.db["actionbar"]["barPet"]["point"] = "TOPLEFT"
E.db["actionbar"]["barPet"]["backdropSpacing"] = 0
E.db["actionbar"]["barPet"]["buttonspacing"] = 1
E.db["actionbar"]["barPet"]["buttonsPerRow"] = 1
E.db["actionbar"]["barPet"]["backdrop"] = false
E.db["actionbar"]["barPet"]["buttonsize"] = 28
E.db["actionbar"]["barPet"]["mouseover"] = true
E.db["actionbar"]["fontOutline"] = "OUTLINE"
E.db["actionbar"]["rightClickSelfCast"] = true
E.db["actionbar"]["stanceBar"]["mouseover"] = true
E.db["actionbar"]["stanceBar"]["buttonsize"] = 22
E.db["actionbar"]["stanceBar"]["backdrop"] = false
E.db["actionbar"]["microbar"]["enabled"] = true
E.db["actionbar"]["microbar"]["mouseover"] = true
E.db["actionbar"]["microbar"]["buttonSize"] = 18
E.db["actionbar"]["microbar"]["backdrop"] = false
E.db["actionbar"]["bar4"]["buttonsize"] = 28
E.db["actionbar"]["bar4"]["backdrop"] = false
E.db["actionbar"]["bar4"]["buttonspacing"] = 1
E.db["actionbar"]["bar4"]["buttonsPerRow"] = 1
E.db["actionbar"]["bar4"]["mouseover"] = true
E.db["actionbar"]["bar4"]["backdropSpacing"] = 0
E.db["actionbar"]["cooldown"]["fonts"]["enable"] = true
E.db["actionbar"]["cooldown"]["fonts"]["font"] = "Gilroy Bold"
E.db["actionbar"]["cooldown"]["fonts"]["fontSize"] = 24

-- NamePlates
--> Colors
E.db["nameplates"]["colors"]["classResources"]["DEATHKNIGHT"]["a"] = 1
E.db["nameplates"]["colors"]["classResources"]["DEATHKNIGHT"]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["DEATHKNIGHT"]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["DEATHKNIGHT"]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["WARLOCK"]["a"] = 1
E.db["nameplates"]["colors"]["classResources"]["WARLOCK"]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["WARLOCK"]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["WARLOCK"]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["PALADIN"]["a"] = 1
E.db["nameplates"]["colors"]["classResources"]["PALADIN"]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["PALADIN"]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["PALADIN"]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MAGE"]["a"] = 1
E.db["nameplates"]["colors"]["classResources"]["MAGE"]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MAGE"]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MAGE"]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][1]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][1]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][1]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][2]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][2]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][2]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][3]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][3]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][3]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][4]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][4]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][4]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][5]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][5]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][5]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][6]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][6]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["comboPoints"][6]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][1]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][1]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][1]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][2]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][2]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][2]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][3]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][3]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][3]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][4]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][4]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][4]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][5]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][5]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][5]["b"] = classColor.b
E.db["nameplates"]["colors"]["classResources"]["MONK"][6]["r"] = classColor.r
E.db["nameplates"]["colors"]["classResources"]["MONK"][6]["g"] = classColor.g
E.db["nameplates"]["colors"]["classResources"]["MONK"][6]["b"] = classColor.b
E.db["nameplates"]["colors"]["castColor"]["r"] = 79 / 255
E.db["nameplates"]["colors"]["castColor"]["g"] = 79 / 255
E.db["nameplates"]["colors"]["castColor"]["b"] = 79 / 255

---> Nameplates
E.db["nameplates"]["cooldown"]["fonts"]["enable"] = true
E.db["nameplates"]["cooldown"]["fonts"]["fontSize"] = 18
E.db["nameplates"]["cooldown"]["fonts"]["font"] = "Gilroy Bold"
E.db["nameplates"]["statusbar"] = "GennUI Skullflower"
E.db["nameplates"]["smoothbars"] = true
E.db["nameplates"]["fadeIn"] = false
E.db["nameplates"]["threat"]["badScale"] = 1
E.db["nameplates"]["threat"]["goodScale"] = 1
E.db["nameplates"]["colors"]["castbarDesaturate"] = false
E.db["nameplates"]["plateSize"]["personalWidth"] = 180
E.db["nameplates"]["plateSize"]["friendlyWidth"] = 180
E.db["nameplates"]["plateSize"]["enemyWidth"] = 180
E.db["nameplates"]["visibility"]["enemy"]["totems"] = true
E.db["nameplates"]["filters"]["ElvUI_Target"]["triggers"]["enable"] = false
E.db["nameplates"]["units"]["TARGET"]["classpower"]["enable"] = false
E.db["nameplates"]["units"]["TARGET"]["scale"] = 1
E.db["nameplates"]["units"]["TARGET"]["glowStyle"] = "style1"
E.db["nameplates"]["units"]["PLAYER"]["debuffs"]["size"] = 28
E.db["nameplates"]["units"]["PLAYER"]["castbar"]["iconSize"] = 28
E.db["nameplates"]["units"]["PLAYER"]["castbar"]["fontSize"] = 10
E.db["nameplates"]["units"]["PLAYER"]["castbar"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["PLAYER"]["buffs"]["size"] = 28
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["debuffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["debuffs"]["numAuras"] = 1
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["debuffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["debuffs"]["size"] = 28
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["debuffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["health"]["text"]["format"] = "[health:current]"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["health"]["text"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["health"]["text"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["health"]["height"] = 14
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["name"]["xOffset"] = -2
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["name"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["name"]["format"] = "[namecolor][name:abbrev:medium]"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["name"]["yOffset"] = -6
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["name"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["height"] = 10
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["iconSize"] = 28
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["width"] = 180
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["castbar"]["yOffset"] = -13
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["level"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["level"]["xOffset"] = 4
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["level"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["level"]["yOffset"] = -6
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["buffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["buffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["buffs"]["size"] = 28
E.db["nameplates"]["units"]["FRIENDLY_NPC"]["buffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_NPC"]["debuffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["debuffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["debuffs"]["priority"] = "CCDebuffs,Personal,RaidDebuffs,nonPersonal"
E.db["nameplates"]["units"]["ENEMY_NPC"]["debuffs"]["size"] = 28
E.db["nameplates"]["units"]["ENEMY_NPC"]["debuffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_NPC"]["name"]["xOffset"] = -2
E.db["nameplates"]["units"]["ENEMY_NPC"]["name"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["name"]["format"] = "[namecolor][name:abbrev:medium]"
E.db["nameplates"]["units"]["ENEMY_NPC"]["name"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_NPC"]["name"]["yOffset"] = -6
E.db["nameplates"]["units"]["ENEMY_NPC"]["level"]["xOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_NPC"]["level"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["level"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_NPC"]["level"]["yOffset"] = -6
E.db["nameplates"]["units"]["ENEMY_NPC"]["health"]["text"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_NPC"]["health"]["text"]["format"] = "[health:current]"
E.db["nameplates"]["units"]["ENEMY_NPC"]["health"]["text"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["health"]["height"] = 14
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["height"] = 10
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["iconSize"] = 28
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["width"] = 180
E.db["nameplates"]["units"]["ENEMY_NPC"]["castbar"]["yOffset"] = -13
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["numAuras"] = 1
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["priority"] = "TurtleBuffs,Dispellable,Personal,nonPersonal"
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["size"] = 28
E.db["nameplates"]["units"]["ENEMY_NPC"]["buffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["priority"] = "CCDebuffs,Personal,RaidDebuffs,nonPersonal"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["size"] = 28
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["health"]["text"]["format"] = "[health:current]"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["health"]["text"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["health"]["text"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["health"]["height"] = 14
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["level"]["xOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["level"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["level"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["level"]["yOffset"] = -6
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["name"]["xOffset"] = -2
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["name"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["name"]["format"] = "[namecolor][name]"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["name"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["name"]["yOffset"] = -6
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["numAuras"] = 1
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["priority"] = "TurtleBuffs,Dispellable,PlayerBuffs"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["size"] = 28
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["buffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["debuffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["fontSize"] = 12
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["height"] = 10
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["iconSize"] = 28
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["width"] = 180
E.db["nameplates"]["units"]["ENEMY_PLAYER"]["castbar"]["yOffset"] = -13
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["debuffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["debuffs"]["numAuras"] = 1
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["debuffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["debuffs"]["size"] = 28
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["debuffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["health"]["useClassColor"] = false
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["health"]["text"]["format"] = "[health:current]"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["health"]["text"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["health"]["height"] = 14
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["level"]["xOffset"] = 4
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["level"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["name"]["xOffset"] = -2
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["name"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["name"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["name"]["yOffset"] = -6
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["buffs"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["buffs"]["countFont"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["buffs"]["size"] = 28
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["buffs"]["yOffset"] = 4
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["fontSize"] = 12
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["height"] = 10
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["iconSize"] = 28
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["font"] = "Gilroy Bold"
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["width"] = 180
E.db["nameplates"]["units"]["FRIENDLY_PLAYER"]["castbar"]["yOffset"] = -13
---> NP Filters
E.global["nameplate"]["filters"]["ElvUI_NonTarget"]["actions"]["alpha"] = 70

-- General
E.db["currentTutorial"] = 1
E.db["hideTutorial"] = true
E.db["cooldown"]["fonts"]["enable"] = true
E.db["cooldown"]["fonts"]["font"] = "Gilroy Bold"
E.db["cooldown"]["fonts"]["fontSize"] = 14
E.db["general"]["loginmessage"] = false
E.db["general"]["interruptAnnounce"] = "SAY"
E.db["general"]["talkingHeadFrameScale"] = 0.7
E.db["general"]["autoRepair"] = "PLAYER"
E.db["general"]["minimap"]["locationFont"] = "Gilroy Bold"
E.db["general"]["minimap"]["locationFontSize"] = 12
E.db["general"]["minimap"]["size"] = 150
E.db["general"]["altPowerBar"]["statusBar"] = "GennUI Skullflower"
E.db["general"]["altPowerBar"]["fontSize"] = 12
E.db["general"]["altPowerBar"]["font"] = "Gilroy Bold"
E.db["general"]["altPowerBar"]["statusBarColorGradient"] = true
E.db["general"]["altPowerBar"]["statusBarColor"]["r"] = classColor.r
E.db["general"]["altPowerBar"]["statusBarColor"]["g"] = classColor.g
E.db["general"]["altPowerBar"]["statusBarColor"]["b"] = classColor.b
E.db["general"]["font"] = "Gilroy Bold"
E.db["general"]["bottomPanel"] = false
E.db["general"]["valuecolor"]["a"] = 1
E.db["general"]["valuecolor"]["r"] = classColor.r
E.db["general"]["valuecolor"]["g"] = classColor.g
E.db["general"]["valuecolor"]["b"] = classColor.b
E.db["general"]["fontSize"] = 12
E.db["general"]["threat"]["enable"] = false
E.db["general"]["itemLevel"]["itemLevelFont"] = "Gilroy Bold"
E.db["general"]["itemLevel"]["itemLevelFontOutline"] = "NONE"
E.db["v11NamePlateReset"] = true

-- Private
E.private["general"]["chatBubbleFontSize"] = 12
E.private["general"]["normTex"] = "GennUI Skullflower"
E.private["general"]["namefont"] = "Gilroy Bold"
E.private["general"]["glossTex"] = "GennUI Skullflower"
E.private["general"]["chatBubbleFont"] = "Gilroy Bold"
E.private["general"]["dmgfont"] = "Gilroy Bold"
E.private["general"]["minimap"]["hideClassHallReport"] = true
E.private["nameplates"]["enable"] = true

-- Global
E.global["uiScaleInformed"] = true
E.global["general"]["commandBarSetting"] = "DISABLED"
E.global["general"]["UIScale"] = 0.70

-- SLE Config
if IsAddOnLoaded('ElvUI_SLE') then
E.db["sle"]["databars"]["exp"]["chatfilter"]["enable"] = true
E.db["sle"]["databars"]["exp"]["chatfilter"]["style"] = "STYLE2"
E.db["sle"]["databars"]["rep"]["chatfilter"]["enable"] = true
E.db["sle"]["databars"]["rep"]["chatfilter"]["styleDec"] = "STYLE2"
E.db["sle"]["databars"]["rep"]["chatfilter"]["style"] = "STYLE2"
E.db["sle"]["databars"]["rep"]["chatfilter"]["showAll"] = true
E.db["sle"]["databars"]["rep"]["autotrack"] = true
E.db["sle"]["databars"]["honor"]["chatfilter"]["awardStyle"] = "STYLE2"
E.db["sle"]["databars"]["honor"]["chatfilter"]["style"] = "STYLE3"
E.db["sle"]["databars"]["honor"]["chatfilter"]["enable"] = true
E.db["sle"]["media"]["fonts"]["gossip"]["outline"] = "NONE"
E.db["sle"]["media"]["fonts"]["gossip"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["zone"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["subzone"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["pvp"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["objectiveHeader"]["outline"] = "OUTLINE"
E.db["sle"]["media"]["fonts"]["objectiveHeader"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["mail"]["outline"] = "OUTLINE"
E.db["sle"]["media"]["fonts"]["mail"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["editbox"]["outline"] = "OUTLINE"
E.db["sle"]["media"]["fonts"]["editbox"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["objective"]["outline"] = "OUTLINE"
E.db["sle"]["media"]["fonts"]["objective"]["font"] = "Gilroy Bold"
E.db["sle"]["media"]["fonts"]["questFontSuperHuge"]["outline"] = "OUTLINE"
E.db["sle"]["media"]["fonts"]["questFontSuperHuge"]["font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Enchant"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Guild"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["tabsText"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Enable"] = false
E.db["sle"]["Armory"]["Inspect"]["LevelRace"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["guildMembers"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["pvpText"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["pvpRating"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Level"]["FontSize"] = 12
E.db["sle"]["Armory"]["Inspect"]["Level"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["pvpType"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["pvpRecord"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Spec"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Name"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["guildName"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["Title"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Inspect"]["infoTabs"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Character"]["Stats"]["ItemLevel"]["outline"] = "OUTLINE"
E.db["sle"]["Armory"]["Character"]["Stats"]["ItemLevel"]["font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Character"]["Stats"]["statFonts"]["outline"] = "OUTLINE"
E.db["sle"]["Armory"]["Character"]["Stats"]["statFonts"]["font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Character"]["Stats"]["catFonts"]["outline"] = "OUTLINE"
E.db["sle"]["Armory"]["Character"]["Stats"]["catFonts"]["font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Character"]["Enable"] = false
E.db["sle"]["Armory"]["Character"]["Enchant"]["Font"] = "Gilroy Bold"
E.db["sle"]["Armory"]["Character"]["Level"]["FontSize"] = 12
E.db["sle"]["Armory"]["Character"]["Level"]["Font"] = "Gilroy Bold"
E.db["sle"]["skins"]["objectiveTracker"]["underlineClass"] = true
E.db["sle"]["skins"]["objectiveTracker"]["classHeader"] = true
E.db["sle"]["skins"]["merchant"]["list"]["nameFont"] = "Gilroy Bold"
E.db["sle"]["skins"]["merchant"]["list"]["subFont"] = "Gilroy Bold"
E.db["sle"]["skins"]["merchant"]["list"]["nameSize"] = 12
E.db["sle"]["tooltip"]["showFaction"] = true
E.db["sle"]["screensaver"]["player"]["font"] = "Gilroy Bold"
E.db["sle"]["screensaver"]["title"]["font"] = "Gilroy Bold"
E.db["sle"]["screensaver"]["date"]["font"] = "Gilroy Bold"
E.db["sle"]["screensaver"]["subtitle"]["font"] = "Gilroy Bold"
E.db["sle"]["screensaver"]["tips"]["font"] = "Gilroy Bold"
E.db["sle"]["raidmarkers"]["mouseover"] = true
E.db["sle"]["raidmarkers"]["backdrop"] = true
E.db["sle"]["raidmarkers"]["notooltip"] = true
E.db["sle"]["datatexts"]["leftchat"]["noborders"] = true
E.db["sle"]["datatexts"]["leftchat"]["width"] = 406
E.db["sle"]["datatexts"]["rightchat"]["noborders"] = true
E.db["sle"]["datatexts"]["rightchat"]["width"] = 406
E.db["sle"]["bags"]["petLevel"]["fonts"]["size"] = 12
E.db["sle"]["bags"]["petLevel"]["fonts"]["font"] = "Gilroy Bold"
E.db["sle"]["nameplates"]["targetcount"]["font"] = "Gilroy Bold"
E.db["sle"]["nameplates"]["threat"]["font"] = "Gilroy Bold"
E.db["sle"]["minimap"]["instance"]["font"] = "Gilroy Bold"
E.db["sle"]["minimap"]["locPanel"]["font"] = "Gilroy Bold"
E.db["sle"]["minimap"]["locPanel"]["enable"] = true
E.db["sle"]["minimap"]["locPanel"]["width"] = 340
E.db["sle"]["minimap"]["mapicons"]["spacing"] = 0
E.db["sle"]["minimap"]["mapicons"]["iconsize"] = 22
E.db["sle"]["minimap"]["mapicons"]["iconmouseover"] = true
E.db["sle"]["minimap"]["mapicons"]["iconperrow"] = 6
E.db["sle"]["minimap"]["coords"]["font"] = "Gilroy Bold"
E.db["sle"]["quests"]["visibility"]["combat"] = "FULL"
E.db["sle"]["quests"]["visibility"]["enable"] = true
E.db["sle"]["quests"]["autoReward"] = true
E.db["movers"]["SLE_Location_Mover"] = "TOP,ElvUIParent,TOP,0,0"
E.db["movers"]["SquareMinimapBar"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-214"
E.db["datatexts"]["panels"]["RightMiniPanel"] = "S&L Friends"
E.db["datatexts"]["panels"]["LeftMiniPanel"] = "S&L Guild"
E.db["datatexts"]["panels"]["LeftChatDataPanel"]["right"] = "S&L Item Level"
E.private["sle"]["pvpreadydialogreset"] = true
E.private["sle"]["equip"]["setoverlay"] = true
E.private["sle"]["skins"]["objectiveTracker"]["class"] = true
E.private["sle"]["skins"]["objectiveTracker"]["scenarioBG"] = true
E.private["sle"]["skins"]["objectiveTracker"]["texture"] = "GennUI Skullflower"
E.private["sle"]["minimap"]["mapicons"]["enable"] = true
E.private["sle"]["minimap"]["mapicons"]["barenable"] = true
E.private["sle"]["minimap"]["mapicons"]["template"] = "NoBackdrop"

end

--Update ElvUI
	E:StaggeredUpdateAll(nil, true)
	--Show message about layout being set
	E:Print(L["|cffc31f3bGennUI |cfffffffflayout has been set"])
	PluginInstallStepComplete.message = "GennUI Layout has been set"
	PluginInstallStepComplete:Show()
end

-- Setup Theme
function GNUI:SetupTheme(theme)
	if theme == "dark" then
	E.db["unitframe"]["colors"]["healthclass"] = false
	E.db["unitframe"]["colors"]["powerclass"] = true
	E.db["unitframe"]["colors"]["classbackdrop"] = true
	E.db["unitframe"]["colors"]["customhealthbackdrop"] = false
	E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 120 / 255
	E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 120 / 255
	E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 120 / 255
	E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["text_format"] = "[namecolor][name:long]"
	E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["text_format"] = "[namecolor][name:abbrev:medium]"
	E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = "[namecolor][name:short]"
	E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = "[namecolor][name:short]"
	E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["text_format"] = "[namecolor][name:medium]"
	E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = "[namecolor][name:short]"
	E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[namecolor][name:veryshort]"
	elseif theme == "class" then
	E.db["unitframe"]["colors"]["healthclass"] = true
	E.db["unitframe"]["colors"]["powerclass"] = false
	E.db["unitframe"]["colors"]["classbackdrop"] = false
	E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
	E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 30 / 255
	E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 30 / 255
	E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 30 / 255
	E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["text_format"] = "[name:long]"
	E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["text_format"] = "[name:abbrev:medium]"
	E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = "[name:short]"
	E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = "[name:short]"
	E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["text_format"] = "[name:medium]"
	E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = "[name:short]"
	E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[name:veryshort]"
	end
--Update ElvUI
	E:StaggeredUpdateAll(nil, true)
	--Show message about layout being set
	E:Print(L["|cffc31f3bGennUI |cfffffffftheme has been set"])
	PluginInstallStepComplete.message = "Theme has been set"
	PluginInstallStepComplete:Show()
end

-- Addons Profiles
function GNUI:SetupAddons(addon)
	
	-- AddOnSkins
	if IsAddOnLoaded('AddOnSkins') then
		GNUI:LoadASProfile()
		E:Print(L["'AddOnSkins' profile has been set."])
	end
	
	-- BattleGround Enemies
	if IsAddOnLoaded('BattleGroundEnemies') then
		GNUI:LoadBGEProfile()
		E:Print(L["'BattleGroundEnemies' profile has been set."])
	end
	
	-- BigWigs
	if IsAddOnLoaded('BigWigs') then
		GNUI:LoadBWProfile()
		E:Print(L["'BigWigs'"])
	end
	
	-- Capping
	if IsAddOnLoaded('Capping') then
		GNUI:LoadCappingProfile()
		E:Print(L["'Capping' profile has been set."])
	end
	
	-- Deadly Boss Mods
	if IsAddOnLoaded('DBM-Core') then
		GNUI:LoadDBMProfile()
		E:Print(L["'DBM' profile has been set."])
	end
	
	-- Details
	if IsAddOnLoaded('Details') then
		GNUI:LoadDetailsProfile()
		E:Print(L["'Details' profile has been set."])
	end
	
	-- Mik's Scrolling Battle Text
	if IsAddOnLoaded('MikScrollingBattleText') then
		GNUI:LoadMSBTProfile()
		E:Print(L["'MSBT' profile has been set."])
	end
	
	-- Plater
	if IsAddOnLoaded('Plater') then
		E.private["nameplates"]["enable"] = false
		GNUI:LoadPlaterProfile()
		E:Print(L["'Plater' profile has been set. Note: ElvUI NamePlates have been disabled"])
	end
	
	-- Skada
	if IsAddOnLoaded('Skada') then
		GNUI:LoadSkadaProfile()
		E:Print(L["'Skada' profile has been set."])
	end
	
	PluginInstallStepComplete.message = "Addons Profiles have been set"
	PluginInstallStepComplete:Show()
end